<script setup lang="ts">
import { usePromotionStore } from '../stores/promotion'
import PromotionDialog from '../components/PromotionDialog.vue'
import { onMounted } from 'vue'
const promotionStore = usePromotionStore()

onMounted(() => {
  promotionStore.getAll()
})
</script>

<template>
  <PromotionDialog />
  <v-data-table
    class="h-100"
    fixed-header
    :headers="promotionStore.headers"
    :items="promotionStore.items"
  >
    <template #top>
      <v-card class="pa-5" color="#77625d">
        <v-row>
          <v-col>
            <h2>Promotion Management</h2>
          </v-col>
          <v-col cols="1">
            <v-btn @click="promotionStore.openDialog()" color="#FFD180"> NEW </v-btn>
          </v-col>
        </v-row>
      </v-card>
    </template>

    <template #item="{ item }">
      <tr>
        <td>{{ item.id }}</td>
        <td>
          <v-img
            :src="'http://localhost:3000/images/promotions/' + item.image"
            width="100"
            height="100"
          ></v-img>
        </td>
        <td>{{ item.name }}</td>
        <td>{{ item.description }}</td>
        <td>{{ item.comboSet }}</td>
        <td>{{ item.discount }}</td>
        <td>{{ item.startDate }}</td>
        <td>{{ item.endDate }}</td>
        <td>{{ item.status }}</td>
        <td>
          <v-icon size="small" class="me-2" @click="promotionStore.editItem(item)">
            mdi-pencil
          </v-icon>
          <v-icon size="small" @click="promotionStore.deleteItem(item)"> mdi-delete </v-icon>
        </td>
      </tr>
    </template>
  </v-data-table>
</template>
